AutoCAD Map 3D General Discussion

AutoCAD Map 3D General Discussion

Reply
Active Member
k234234
Posts: 6
Registered: ‎07-13-2010
Message 1 of 10 (24,933 Views)
Accepted Solution

Rotating 2D Model Space "view" / Rotating "ortho"

24933 Views, 9 Replies
09-08-2010 08:43 PM

I'm working on a map (north is up). It fits better on an 11 X 17 sheet if it's tilted a bit, which I can do in a layout viewport.

 

I'd like to be able to also tilt (rotate? reorient?) the map in model space so it fits on the screen easier (and looks the same as in the tilted viewports)

 

How do I do this? (I just want it to look tilted, but not have any of the coordinates change, not actually rotate any objects, etc.)

 

I've been looking for some widget or some command that will tell me how many degrees the model space view is tilted, and that would allow me to input "23 degrees" or something, but I can't find it.

 

ALSO  (bonus question  .  .  .  ) if I work in the "tilted" model space, is there a way to set ortho so that it doesn't tilt with the map? (so that even if the map is tilted, I can draw a rectangle that is straight "up/down left/right" on my screen.

 

Thanks for your help,

 

David

 

 

AutoCAD Map 3D 2010/2011

I usually don't select all the entities in the drawing. This can slow things down if it's a big drawing. I either select one or a few representative objects or default to the DviewBlock if I already know the angle I want.

 

Allen

*Expert Elite*
AllenJessup
Posts: 6,176
Registered: ‎05-21-2003
Message 2 of 10 (24,926 Views)

Re: Rotating 2D Model Space "view" / Rotating "ortho"

09-09-2010 06:20 AM in reply to: k234234

Command line. Type DVIEW then TW for Twist. Enter the angel in degrees.

 

Command line. SNAPANGLE will allow you to change the crosshair orientation. I believe you'll have to enter the inverse of the ViewTwist angle. So if you twist the view by 23 degrees you'll have to enter 67°. I've also attached a simple lisp file that will set it for you if you prefer.

 

Allen

Distinguished Contributor
mmcmanus
Posts: 110
Registered: ‎08-07-2006
Message 3 of 10 (24,910 Views)

Re: Rotating 2D Model Space "view" / Rotating "ortho"

09-10-2010 10:17 AM in reply to: k234234

turn UCSFOLLOW on first and then you can rotate the UCS based on a line already drawn in the drawing that you want to be "straight across" along the x axis. I use this method all the time because the ortho snap remains straight with the cursor (vertical/horizontal). Just type in "UCS" and use the "OBject" option to pick the line you want to use as the horizontal alignment. If the desired rotation is "upside down" then undo and redo the command but pick near the other end of the line and it will be correct.

*Expert Elite*
AllenJessup
Posts: 6,176
Registered: ‎05-21-2003
Message 4 of 10 (24,908 Views)

Re: Rotating 2D Model Space "view" / Rotating "ortho"

09-10-2010 11:18 AM in reply to: mmcmanus

Doesn't establishing a User Coordinate System change the coordinates? The OP said he didn't want that to happen so that's why I thought using DView would be best. Of course if it's only going to be a quick thing, you can revert to World Coordinates immediately. I don't let people do that because if they forget and continue to work in a USC it can mess up a drawing.

 

Allen

Distinguished Contributor
mmcmanus
Posts: 110
Registered: ‎08-07-2006
Message 5 of 10 (24,906 Views)

Re: Rotating 2D Model Space "view" / Rotating "ortho"

09-10-2010 11:37 AM in reply to: AllenJessup

That is true. You have to remember that it is a user coordinate system and go back to world if you need to do anything that requires world coordinates.

Valued Mentor
tzzzzoddhepworth4253
Posts: 474
Registered: ‎05-10-2010
Message 6 of 10 (24,902 Views)

Re: Rotating 2D Model Space "view" / Rotating "ortho"

09-11-2010 06:35 AM in reply to: k234234

are you familar with "DVIEW" - type at the command line and then [ENTER] to select all objects in the drawing.  then select tw for "Twist"  it will rotate the view but not the coordinate system by a user specified angle.  I just tried it and found it works on my attached .SHP files, but doesn't work on FDO connected raster images.... perhaps this will work for you in some capacity. 

*Expert Elite*
AllenJessup
Posts: 6,176
Registered: ‎05-21-2003
Message 7 of 10 (24,890 Views)

Re: Rotating 2D Model Space "view" / Rotating "ortho"

09-13-2010 04:53 AM in reply to: tzzzzoddhepworth4253

I usually don't select all the entities in the drawing. This can slow things down if it's a big drawing. I either select one or a few representative objects or default to the DviewBlock if I already know the angle I want.

 

Allen

Active Member
k234234
Posts: 6
Registered: ‎07-13-2010
Message 8 of 10 (24,881 Views)

Re: Rotating 2D Model Space "view" / Rotating "ortho"

09-13-2010 06:36 PM in reply to: AllenJessup

Thanks - DVIEW and TWist does it

 

Really appreciate your help.

 

David

Active Contributor
yasin2ray
Posts: 27
Registered: ‎02-22-2011
Message 9 of 10 (6,303 Views)

Re: Rotating 2D Model Space "view" / Rotating "ortho"

05-27-2014 10:44 AM in reply to: AllenJessup
Allen -
I've found your DVIEW recommendation in several posts, so I'm coming directly to you with my questions. It seems like the DVIEW, TWist is the thing I'm looking for, but I do not know the specific angle. I do not want to rotate it freehand because I want the walls of the buildings to line up perfectly horizontally with the edge of the paper.

How can I
A: measure the angle I need? OR,
B: rotate with a reference point within this command?

THANKS,
Anna
AutoCAD Civil 3D 2010
*Expert Elite*
AllenJessup
Posts: 6,176
Registered: ‎05-21-2003
Message 10 of 10 (6,262 Views)

Re: Rotating 2D Model Space "view" / Rotating "ortho"

05-28-2014 10:16 AM in reply to: yasin2ray

You can usually figure the angle from the line you want to match. But it's simpler to use the attached lisp. Save the file in a path that AutoCAD will find. Open the file in Notepad to see a description of the behavior.

 

Allen

 

I can't attach the file. Copy the code below and paste it in to Notepad. Save in as dvpick.lsp [Note the LSP extension] in a path that AutoCAD Will find. Load that file using Appload. If you like it. Add the file to the Startup Suite in the Appload dialog box.

 

ASJ

 

;;Written Mitch Paulk May 1999
;;This lisp temporarily uses a UCS, so be careful if the command is canceled or
;;undone using UNDO.  

(defun c:DVPICK (/ vangle vsize vcenter)
  (setq oldcmd (getvar "cmdecho"))
  (setvar "cmdecho" 0)
	
(setq vsize (getvar "viewsize"))
	(setq vcenter (getvar "viewctr"))

 (princ "\nThe Object selected will be rotated horizontal using DView Twist...")

     (command "ucs" "ob" pause)
        (command "plan" "")
           (command "ucs" "")            
  (setvar "cmdecho" oldcmd)
 (princ)

; Set the snapangle to the negative value of the viewtwist so that 
; the crosshairs will be horizontal.

  (setq vangle (getvar "viewtwist"))      ;The viewtwist in radians
  (setq vangle (/ (* vangle -180.0) PI))  ;convert it to degrees and multiply by -1

     (progn
      (command "SNAPANG" vangle)
		(command "zoom" "c" vcenter vsize)
    )
 (setvar "cmdecho" oldcmd)
 (princ)
)

 

Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.